package com.gyee.frame.controller.gen;

import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import com.github.pagehelper.PageInfo;
import com.gyee.frame.common.base.BaseController;
import com.gyee.frame.common.domain.AjaxResult;
import com.gyee.frame.model.auto.Shbraceletpoint;
import com.gyee.frame.model.custom.TableSplitResult;
import com.gyee.frame.model.custom.Tablepar;
import com.gyee.frame.model.custom.TitleVo;
import com.gyee.frame.service.ShbraceletpointService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Controller
@RequestMapping("ShbraceletpointController")
@Api(value = "")
public class ShbraceletpointController extends BaseController{
	
	private String prefix = "gen/shbraceletpoint";
	@Autowired
	private ShbraceletpointService shbraceletpointService;
	
	@GetMapping("view")
	@RequiresPermissions("gen:shbraceletpoint:view")
    public String view(ModelMap model)
    {	
		String str="";
		setTitle(model, new TitleVo("列表", str+"管理", true,"欢迎进入"+str+"页面", true, false));
        return prefix + "/list";
    }
	
	//@Log(title = "集合查询", action = "111")
	@PostMapping("list")
	@RequiresPermissions("gen:shbraceletpoint:list")
	@ResponseBody
	public Object list(Tablepar tablepar,String searchText){
		PageInfo<Shbraceletpoint> page=shbraceletpointService.list(tablepar,searchText) ; 
		TableSplitResult<Shbraceletpoint> result=new TableSplitResult<Shbraceletpoint>(page.getPageNum(), page.getTotal(), page.getList()); 
		return  result;
	}
	
	/**
     * 新增
     */

    @GetMapping("/add")
    public String add(ModelMap modelMap)
    {
        return prefix + "/add";
    }
	
	//@Log(title = "新增", action = "111")
	@PostMapping("add")
	@RequiresPermissions("gen:shbraceletpoint:add")
	@ResponseBody
	public AjaxResult add(Shbraceletpoint shbraceletpoint){
		int b=shbraceletpointService.insertSelective(shbraceletpoint);
		if(b>0){
			return success();
		}else{
			return error();
		}
	}
	
	/**
	 * 删除用户
	 * @param ids
	 * @return
	 */
	//@Log(title = "删除", action = "111")
	@PostMapping("remove")
	@RequiresPermissions("gen:shbraceletpoint:remove")
	@ResponseBody
	public AjaxResult remove(String ids){
		int b=shbraceletpointService.deleteByPrimaryKey(ids);
		if(b>0){
			return success();
		}else{
			return error();
		}
	}
	
	/**
	 * 检查用户
	 * @param tsysUser
	 * @return
	 */
	@PostMapping("checkNameUnique")
	@ResponseBody
	public int checkNameUnique(Shbraceletpoint shbraceletpoint){
		int b=shbraceletpointService.checkNameUnique(shbraceletpoint);
		if(b>0){
			return 1;
		}else{
			return 0;
		}
	}
	
	
	/**
	 * 修改跳转
	 * @param id
	 * @param mmap
	 * @return
	 */
	@GetMapping("/edit/{id}")
    public String edit(@PathVariable("id") String id, ModelMap mmap)
    {
        mmap.put("Shbraceletpoint", shbraceletpointService.selectByPrimaryKey(id));

        return prefix + "/edit";
    }
	
	/**
     * 修改保存
     */
    //@Log(title = "修改", action = "111")
    @RequiresPermissions("gen:shbraceletpoint:edit")
    @PostMapping("/edit")
    @ResponseBody
    public AjaxResult editSave(Shbraceletpoint record)
    {
        return toAjax(shbraceletpointService.updateByPrimaryKeySelective(record));
    }

    
    /**
   	 * 根据主键查询
   	 * 
   	 * @param id
   	 * @param mmap
   	 * @return
   	 */
   	@PostMapping("/get/{id}")
   	@ApiOperation(value = "根据id查询唯一", notes = "根据id查询唯一")
   	public Shbraceletpoint edit(@PathVariable("id") String id) {
   		return shbraceletpointService.selectByPrimaryKey(id);
   	}
    

	
}
